%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Course: ECE438
%name: Yang Zhu
%last updated Date: 2011/12/4
%Description:Similarity analysis of pictures, calculation R2 base on
%histrogram
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
clc
close all

% % % set chair 1 as reference% % % % 
r_chair1_chair1 = corrcoef(chair1_hist,chair1_hist);
r_chair1_chair2 = corrcoef(chair1_hist,chair2_hist);
r_chair1_chair3 = corrcoef(chair1_hist,chair3_hist);
r_chair1_computer1 = corrcoef(chair1_hist,computer1_hist);
r_chair1_computer2 = corrcoef(chair1_hist,computer2_hist);
r_chair1_student1 = corrcoef(chair1_hist,student1_hist);
r_chair1_student2 = corrcoef(chair1_hist,student2_hist);
r_chair1_yimin1 = corrcoef(chair1_hist,yimin1_hist);
r_chair1_yimin2 = corrcoef(chair1_hist,yimin2_hist);

r_chair1 = [r_chair1_chair1(1,2) r_chair1_chair2(1,2) r_chair1_chair3(1,2) r_chair1_computer1(1,2) r_chair1_computer2(1,2) r_chair1_student1(1,2) r_chair1_student2(1,2) r_chair1_yimin1(1,2) r_chair1_yimin2(1,2)];
r2_chair1 = r_chair1.^2
% r2_chair1 =
% 1.0000  0.5956  0.6507  0.0740  0.0019  0.0528  0.0647  0.1780   0.0917


% % % set chair 2 as reference% % % % 
r_chair2_chair1 = corrcoef(chair2_hist,chair1_hist);
r_chair2_chair2 = corrcoef(chair2_hist,chair2_hist);
r_chair2_chair3 = corrcoef(chair2_hist,chair3_hist);
r_chair2_computer1 = corrcoef(chair2_hist,computer1_hist);
r_chair2_computer2 = corrcoef(chair2_hist,computer2_hist);
r_chair2_student1 = corrcoef(chair2_hist,student1_hist);
r_chair2_student2 = corrcoef(chair2_hist,student2_hist);
r_chair2_yimin1 = corrcoef(chair2_hist,yimin1_hist);
r_chair2_yimin2 = corrcoef(chair2_hist,yimin2_hist);

r_chair2 = [r_chair2_chair1(1,2) r_chair2_chair2(1,2) r_chair2_chair3(1,2) r_chair2_computer1(1,2) r_chair2_computer2(1,2) r_chair2_student1(1,2) r_chair2_student2(1,2) r_chair2_yimin1(1,2) r_chair2_yimin2(1,2)];
r2_chair2 = r_chair2.^2
% r2_chair2 =
% 0.5956  1.0000  0.9197  0.0295  0.0014  0.0100  0.0035  0.00370   0.0164


% % % set chair 3 as reference% % % % 
r_chair3_chair1 = corrcoef(chair3_hist,chair1_hist);
r_chair3_chair2 = corrcoef(chair3_hist,chair2_hist);
r_chair3_chair3 = corrcoef(chair3_hist,chair3_hist);
r_chair3_computer1 = corrcoef(chair3_hist,computer1_hist);
r_chair3_computer2 = corrcoef(chair3_hist,computer2_hist);
r_chair3_student1 = corrcoef(chair3_hist,student1_hist);
r_chair3_student2 = corrcoef(chair3_hist,student2_hist);
r_chair3_yimin1 = corrcoef(chair3_hist,yimin1_hist);
r_chair3_yimin2 = corrcoef(chair3_hist,yimin2_hist);

r_chair3 = [r_chair3_chair1(1,2) r_chair3_chair2(1,2) r_chair3_chair3(1,2) r_chair3_computer1(1,2) r_chair3_computer2(1,2) r_chair3_student1(1,2) r_chair3_student2(1,2) r_chair3_yimin1(1,2) r_chair3_yimin2(1,2)];
r2_chair3 = r_chair3.^2
% r2_chair3 =
% 0.6507  0.9197  1.0000  0.0261  0.0017  0.0017  0.0001  0.0065   0.0076


% % % set computer1 as reference% % % % 
r_computer1_chair1 = corrcoef(computer1_hist,chair1_hist);
r_computer1_chair2 = corrcoef(computer1_hist,chair2_hist);
r_computer1_chair3 = corrcoef(computer1_hist,chair3_hist);
r_computer1_computer1 = corrcoef(computer1_hist,computer1_hist);
r_computer1_computer2 = corrcoef(computer1_hist,computer2_hist);
r_computer1_student1 = corrcoef(computer1_hist,student1_hist);
r_computer1_student2 = corrcoef(computer1_hist,student2_hist);
r_computer1_yimin1 = corrcoef(computer1_hist,yimin1_hist);
r_computer1_yimin2 = corrcoef(computer1_hist,yimin2_hist);

r_computer1 = [r_computer1_chair1(1,2) r_computer1_chair2(1,2) r_computer1_chair3(1,2) r_computer1_computer1(1,2) r_computer1_computer2(1,2) r_computer1_student1(1,2) r_computer1_student2(1,2) r_computer1_yimin1(1,2) r_computer1_yimin2(1,2)];
r2_computer1 = r_computer1.^2
% r2_computer1 =
%  0.0740  0.0295  0.0261  1.0000  0.1835  0.0913  0.1241  0.3423  0.1031


% % % set computer2 as reference% % % % 
r_computer2_chair1 = corrcoef(computer2_hist,chair1_hist);
r_computer2_chair2 = corrcoef(computer2_hist,chair2_hist);
r_computer2_chair3 = corrcoef(computer2_hist,chair3_hist);
r_computer2_computer1 = corrcoef(computer2_hist,computer1_hist);
r_computer2_computer2 = corrcoef(computer2_hist,computer2_hist);
r_computer2_student1 = corrcoef(computer2_hist,student1_hist);
r_computer2_student2 = corrcoef(computer2_hist,student2_hist);
r_computer2_yimin1 = corrcoef(computer2_hist,yimin1_hist);
r_computer2_yimin2 = corrcoef(computer2_hist,yimin2_hist);

r_computer2 = [r_computer2_chair1(1,2) r_computer2_chair2(1,2) r_computer2_chair3(1,2) r_computer2_computer1(1,2) r_computer2_computer2(1,2) r_computer2_student1(1,2) r_computer2_student2(1,2) r_computer2_yimin1(1,2) r_computer2_yimin2(1,2)];
r2_computer2 = r_computer2.^2
% r2_computer2 =
%  0.0019  0.0014  0.0017  0.1835  1.000   0.0186  0.0838  0.0274  0.0193


% % % set student1 as reference% % % % 
r_student1_chair1 = corrcoef(student1_hist,chair1_hist);
r_student1_chair2 = corrcoef(student1_hist,chair2_hist);
r_student1_chair3 = corrcoef(student1_hist,chair3_hist);
r_student1_computer1 = corrcoef(student1_hist,computer1_hist);
r_student1_computer2 = corrcoef(student1_hist,computer2_hist);
r_student1_student1 = corrcoef(student1_hist,student1_hist);
r_student1_student2 = corrcoef(student1_hist,student2_hist);
r_student1_yimin1 = corrcoef(student1_hist,yimin1_hist);
r_student1_yimin2 = corrcoef(student1_hist,yimin2_hist);

r_student1 = [r_student1_chair1(1,2) r_student1_chair2(1,2) r_student1_chair3(1,2) r_student1_computer1(1,2) r_student1_computer2(1,2) r_student1_student1(1,2) r_student1_student2(1,2) r_student1_yimin1(1,2) r_student1_yimin2(1,2)];
r2_student1 = r_student1.^2
% r2_student1 = 
%  0.0528  0.0100  0.0017  0.0913  0.0186  1.0000  0.9339  0.4719  0.3371

% % % set student2 as reference% % % % 
r_student2_chair1 = corrcoef(student2_hist,chair1_hist);
r_student2_chair2 = corrcoef(student2_hist,chair2_hist);
r_student2_chair3 = corrcoef(student2_hist,chair3_hist);
r_student2_computer1 = corrcoef(student2_hist,computer1_hist);
r_student2_computer2 = corrcoef(student2_hist,computer2_hist);
r_student2_student1 = corrcoef(student2_hist,student1_hist);
r_student2_student2 = corrcoef(student2_hist,student2_hist);
r_student2_yimin1 = corrcoef(student2_hist,yimin1_hist);
r_student2_yimin2 = corrcoef(student2_hist,yimin2_hist);

r_student2 = [r_student2_chair1(1,2) r_student2_chair2(1,2) r_student2_chair3(1,2) r_student2_computer1(1,2) r_student2_computer2(1,2) r_student2_student1(1,2) r_student2_student2(1,2) r_student2_yimin1(1,2) r_student2_yimin2(1,2)];
r2_student2 = r_student2.^2
% r2_student2 =
%  0.0647  0.0035  0.0001  0.1241  0.0838  0.9339  1.0000  0.4383  0.2731


% % % set yimin1 as reference% % % % 
r_yimin1_chair1 = corrcoef(yimin1_hist,chair1_hist);
r_yimin1_chair2 = corrcoef(yimin1_hist,chair2_hist);
r_yimin1_chair3 = corrcoef(yimin1_hist,chair3_hist);
r_yimin1_computer1 = corrcoef(yimin1_hist,computer1_hist);
r_yimin1_computer2 = corrcoef(yimin1_hist,computer2_hist);
r_yimin1_student1 = corrcoef(yimin1_hist,student1_hist);
r_yimin1_student2 = corrcoef(yimin1_hist,student2_hist);
r_yimin1_yimin1 = corrcoef(yimin1_hist,yimin1_hist);
r_yimin1_yimin2 = corrcoef(yimin1_hist,yimin2_hist);

r_yimin1 = [r_yimin1_chair1(1,2) r_yimin1_chair2(1,2) r_yimin1_chair3(1,2) r_yimin1_computer1(1,2) r_yimin1_computer2(1,2) r_yimin1_student1(1,2) r_yimin1_student2(1,2) r_yimin1_yimin1(1,2) r_yimin1_yimin2(1,2)];
r2_yimin1 = r_yimin1.^2
% r2_yimin1 =
%  0.1780  0.0037  0.0065  0.3423  0.0274  0.4719  0.4383  1.0000  0.6296

% % % set yimin2 as reference% % % % 
r_yimin2_chair1 = corrcoef(yimin2_hist,chair1_hist);
r_yimin2_chair2 = corrcoef(yimin2_hist,chair2_hist);
r_yimin2_chair3 = corrcoef(yimin2_hist,chair3_hist);
r_yimin2_computer1 = corrcoef(yimin2_hist,computer1_hist);
r_yimin2_computer2 = corrcoef(yimin2_hist,computer2_hist);
r_yimin2_student1 = corrcoef(yimin2_hist,student1_hist);
r_yimin2_student2 = corrcoef(yimin2_hist,student2_hist);
r_yimin2_yimin1 = corrcoef(yimin2_hist,yimin1_hist);
r_yimin2_yimin2 = corrcoef(yimin2_hist,yimin2_hist);

r_yimin2 = [r_yimin2_chair1(1,2) r_yimin2_chair2(1,2) r_yimin2_chair3(1,2) r_yimin2_computer1(1,2) r_yimin2_computer2(1,2) r_yimin2_student1(1,2) r_yimin2_student2(1,2) r_yimin2_yimin1(1,2) r_yimin2_yimin2(1,2)];
r2_yimin2 = r_yimin2.^2
% % r2_chair1 =
% % 1.0000  0.5956  0.6507  0.0740  0.0019  0.0528  0.0647  0.1780   0.0917
% 
% % r2_chair2 =
% % 0.5956  1.0000  0.9197  0.0295  0.0014  0.0100  0.0035  0.00370   0.0164
% 
% % r2_chair3 =
% % 0.6507  0.9197  1.0000  0.0261  0.0017  0.0017  0.0001  0.0065   0.0076
% 
% % r2_computer1 =
% %  0.0740  0.0295  0.0261  1.0000  0.1835  0.0913  0.1241  0.3423  0.1031
% 
% % r2_computer2 =
% %  0.0019  0.0014  0.0017  0.1835  1.000   0.0186  0.0838  0.0274  0.0193
% 
% % r2_student1 = 
% %  0.0528  0.0100  0.0017  0.0913  0.0186  1.0000  0.9339  0.4719  0.3371
% 
% % r2_student2 =
% %  0.0647  0.0035  0.0001  0.1241  0.0838  0.9339  1.0000  0.4383  0.2731
% 
% % r2_yimin1 =
% %  0.1780  0.0037  0.0065  0.3423  0.0274  0.4719  0.4383  1.0000  0.6296
% 
% % r2_yimin2 =
% %  0.0647  0.0035  0.0001  0.1241  0.0838  0.9339  0.2731  0.4383  1.0000
% 



